Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.dom
Class BXNNode

    java.lang.Object
      org.basex.api.dom.BXNList
          org.basex.api.dom.BXNNode

All Implemented Interfaces:
  org.w3c.dom.NamedNodeMap, org.w3c.dom.NodeList

    public final class BXNNode

extends BXNList
implements org.w3c.dom.NamedNodeMap

DOM - NamedNodeMap Implementation.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Constructor Summary
`BXNNode(NodeBuilder nb)` Constructor.

Method Summary
`org.w3c.dom.Node` | `getNamedItem(java.lang.String name)`
`org.w3c.dom.Node` | `getNamedItemNS(java.lang.String uri, java.lang.String ln)`
`org.w3c.dom.Node` | `removeNamedItem(java.lang.String name)`
`org.w3c.dom.Node` | `removeNamedItemNS(java.lang.String uri, java.lang.String ln)`
`org.w3c.dom.Node` | `setNamedItem(org.w3c.dom.Node arg)`
`org.w3c.dom.Node` | `setNamedItemNS(org.w3c.dom.Node arg)`

Methods inherited from class org.basex.api.dom.BXNList
`getLength, item`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.NamedNodeMap
`getLength, item`

Constructor Detail

### BXNNode

    public BXNNode(NodeBuilder nb)

  Constructor.

  Parameters:
    `nb` - nodes

Method Detail

### getNamedItem

    public org.w3c.dom.Node getNamedItem(java.lang.String name)

  Specified by:
    `getNamedItem` in interface `org.w3c.dom.NamedNodeMap`

### getNamedItemNS

    public org.w3c.dom.Node getNamedItemNS(java.lang.String uri,
                                           java.lang.String ln)

  Specified by:
    `getNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`

### setNamedItem

    public org.w3c.dom.Node setNamedItem(org.w3c.dom.Node arg)

  Specified by:
    `setNamedItem` in interface `org.w3c.dom.NamedNodeMap`

### removeNamedItem

    public org.w3c.dom.Node removeNamedItem(java.lang.String name)

  Specified by:
    `removeNamedItem` in interface `org.w3c.dom.NamedNodeMap`

### setNamedItemNS

    public org.w3c.dom.Node setNamedItemNS(org.w3c.dom.Node arg)

  Specified by:
    `setNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`

### removeNamedItemNS

    public org.w3c.dom.Node removeNamedItemNS(java.lang.String uri,
                                              java.lang.String ln)

  Specified by:
    `removeNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD